﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;

// Demo by Raffaele Rialdi. May 20, 2010
// http://www.iamraf.net
// malta@vevy.com


namespace PowerClient
{
	public static class ComboBoxBehavior
	{
		public static readonly DependencyProperty TextChangedCommand = EventBehaviorFactory.CreateCommandExecutionEventBehavior(
			ComboBox.SelectionChangedEvent, "SelectionChangedCommand", typeof(ComboBoxBehavior));

		public static void SetSelectionChangedCommand(DependencyObject o, ICommand value)
		{
			o.SetValue(TextChangedCommand, value);
		}

		public static ICommand GetSelectionChangedCommand(DependencyObject o)
		{
			return o.GetValue(TextChangedCommand) as ICommand;
		}   
	}
}
