﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Threading;

// Demo by Raffaele Rialdi. May 20, 2010
// http://www.iamraf.net
// malta@vevy.com


namespace PowerClient
{
	public class BaseMediator
	{
	}


	public class MainWindowMediator : BaseMediator
	{
		private WeakReference _MainViewModel;

		private Dispatcher _Dispatcher;

		public MainViewModel TreeViewModel
		{
			get { return _MainViewModel.Target as MainViewModel; }
		}

		public MainWindowMediator(Dispatcher dispatcher, MainViewModel MainViewModel)
		{
			this._MainViewModel = new WeakReference(MainViewModel);
			_Dispatcher = dispatcher;

		}

	}


	public static class DispatcherExtension
	{
		public static object Invoke(this Dispatcher Dispatcher, Action action, params object[] pars)
		{
			return Dispatcher.Invoke(action, pars);
		}
	}


}
