﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

// Demo by Raffaele Rialdi. May 20, 2010
// http://www.iamraf.net
// malta@vevy.com

namespace PowerClient
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		MainViewModel ViewModel { get; set; }

		public MainWindow()
		{
			InitializeComponent();

			bool IsDesignMode = System.ComponentModel.DesignerProperties.GetIsInDesignMode(this);
			ViewModel = new MainViewModel(this.Dispatcher, IsDesignMode);
			this.DataContext = ViewModel;

			this.Loaded += new RoutedEventHandler(MainWindow_Loaded);
		}

		void MainWindow_Loaded(object sender, RoutedEventArgs e)
		{
			ViewModel.Load();
		}



	}
}
